Location: PHPKode > projects > Habari > habari-0.7.1/doc/manual/installation.html
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
<link rel='alternate' type='application/rss+xml' title='RSS' href='index.xml'/>
<title> Habari - User Manual </title>
<link rel="stylesheet" type="text/css" media="screen" href="style.css"/>
</head>
<body>
<div id="topMenu">
	<a href="index.html#introduction" title="Introduction">Introduction</a>
	<a href="habari.html" title="About Habari">About Habari</a>
	<a href="new.html" title="What's New">What's New</a>
	<a href="installation.html" title="Installation">Installation</a>
	<a href="upgrading.html" title="Upgrading">Upgrading</a>
	<a href="using.html" title="Using Habari">Using Habari</a>
	<a href="developer.html" title="Developer Introduction">Developer Introduction</a>
</div>

<div id="wrapper">

	<div id="userdocumentaion">
<h1 id="installation">Installation</h1>
<p>Habari has a few <a href="http://wiki.habariproject.org/en/Installation" title="Installation">Server Requirements</a>, which you will need to meet to be able to run Habari. If you have what is required, (or better), you are good to go! As Habari is still in development, no guarantees are made that these are fully stable versions, or that updating won't break the current database structure.</p>

<p>To install the latest stable version of Habari:</p>

<ul><li> Download <a href="http://habariproject.org/en/download" class="external free" title="http://habariproject.org/en/download" rel="nofollow">the current release</a> and unzip the Habari package.
</li><li> If you are using MySQL or PostgreSQL, obtain the connection settings needed below, or create a database for Habari on your web server.
</li><li> Upload Habari files on your web server.
</li><li> Point your web browser at <u>http://yoursite.com/</u> (the location of your Habari files on your server) to begin installation with the Database Setup. </li></ul>
<p>The Habari installer initially presents you with a choice of languages that it will use for the interface.  Select the correct locale code from the list for your language of choice.  The default selection is "en-us", which is English, United States.
</p><p>Clicking the question mark at the top of any section of the installer will reveal more information about each field in that section.

</p><p>Depending on the Database Type you set, you may need to enter some of the following information:
</p>
<ul><li> Database Type: You can choose between MySQL, PostgreSQL, or SQLite. Your hosting company should be able to tell you what you should use.
</li><li> Database Host: Again your hosting company should have provided this information when you first joined.
</li><li> Username: This is the username used to connect Habari to the MySQL database.
</li><li> Password: This is the password used to connect Habari to the MySQL database.
</li><li> Database Name: Again your hosting company should have provided this information when you first joined.
</li><li> Table Prefix: You will only need to change this if you have more than one version of Habari installed.
</li></ul>

<p>After entering the required fields (those marked with an asterisk), the <em>Check Database Connection</em> button will become available. Click it to check that the connection details you just entered are correct. If they are, the next section of settings, Site Configuration, will become available.</p>

<p>The Site Configuration settings you will need to set are:
</p>

<ul><li> Site Name: The name of your blog.
</li><li> Username: The name or alias you wish to use to administer your blog. This should not be the same as the username for the database.
</li><li> Password: The password associated with the above Username. Re-enter the password in the second box.
</li><li> Admin Email: This is the email address associated with the above Username. Habari will email you to let you know everything is working.
</li></ul>

<p>The next step of the installation procedure, Plugin Activation, becomes available after successfully entering the Site Configuration details.</p>

<p>Habari comes with several commonly used plugins. Some of these are marked for activation by default. In the Plugin Activation section you can choose not to activate any of these plugins, or choose others to also activate.</p>

<p>If you have already added other plugins to your Habari directories, these will also be in the list of plugins. You can choose to activate as many of these as you like during the installation.</p>

<p>Conclude the installation process by clicking the "Install Habari" button.  When Habari completes processing, installation is complete.
</p>

<p><strong>The End!</strong> Habari should now be installed.
</p>

<p><a href="http://wiki.habariproject.org/en/Installation" title="Installation">Full Installation Instructions</a> are available, including some details of how to adjust your settings for different web servers and specific configuration information for several popular hosting companies.
</p>

<p>If you are happy to use the current development version of Habari, the full instructions explain how to access the Habari subversion repository; however, for most normal users you will want to download the latest stable version of Habari.
</p>

<h2 id="common_issues">Common Installation Issues</h2>

<p>There are a few common, yet easily-remedied issues that occur when installing Habari.</p>

<h3>Check Database Connection</h3>

<p>After supplying the database credentials, Habari's installer will contact the server to test that it is able to connect to the database with the supplied values.  On some systems, the following error appears:</p>

<blockquote style="background-color: #fbe3e4; border: 2px solid #fbc2c4;">404 Not Found Not Found The requested URL /blog/ajax/check_mysql_credentials was not found on this server.</blockquote>

<p>There are several possible causes for this error:</p>

<ol><li>Your Apache server does not have mod_rewrite enabled for the virtualhost that contains Habari.  mod_rewrite is required for Habari to functions.  Verify that mod_rewrite is installed and enabled on your server.
</li><li>Your Apache configuration does not allow .htaccess to override configuration options in the virtualhost.  The virtualhost in which Habari is installed should include the "AllowOverride FileInfo" directive for the directory that contains the Habari files.  This will allow Habari's .htaccess file to properly handle incoming URLs. (Consult the <a href="http://httpd.apache.org/docs/2.2/mod/core.html#allowoverride">AllowOverride</a> documentation for further details on the AllowOverride directive.)
</li></ol>

</div>

</div>
</body>
</html>
Return current item: Habari